mscorlib 2.0.0.0 4.0.0.0 System.ValueType System.Runtime.InteropServices.ComVisible(true)

Code that is being examined in the reflection-only context cannot be executed, so it is not always possible to examine custom attributes by creating instances of them and then examining their properties, using methods like , , and so on. If the code for the attribute type itself is loaded into the reflection-only context, it cannot be executed.

The structure is used by the class to provide access to a named argument specified for a custom attribute instance, without executing the code of the corresponding property of the custom attribute type. The property returns a structure that contains the type and value of the named argument.

Whether an argument is named or positional, you must access its type and value by using the structure.

To create instances of the class, use the static factory method.

Represents a named argument of a custom attribute in the reflection-only context.

- Constructor
  4.0.0.0

  This constructor is for use by inheritors of the class. It is not intended for use in application code.

  Initializes a new instance of the class, which represents the specified field or property of the custom attribute, and specifies the value of the field or property.

  A field or property of the custom attribute. The new object represents this member and its value.
  The value of the field or property of the custom attribute.
- Constructor
  4.0.0.0

  This constructor is for use by inheritors of the class. It is not intended for use in application code.

  Initializes a new instance of the class, which represents the specified field or property of the custom attribute, and specifies a object that describes the type and value of the field or property.

  A field or property of the custom attribute. The new object represents this member and its value.
  An object that describes the type and value of the field or property.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this instance is equal to a specified object.

  true if equals the type and value of this instance; otherwise, false.

  An object to compare with this instance, or null.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the named argument is a field.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo To be added.

  In most cases, the member is a property.

  Gets the attribute member that would be used to set the named argument.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the attribute member that would be used to set the named argument.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Tests whether two structures are equivalent.

  true if the two structures are equal; otherwise, false.

  The structure to the left of the equality operator. The structure to the right of the equality operator.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Tests whether two structures are different.

  true if the two structures are different; otherwise, false.

  The structure to the left of the inequality operator. The structure to the right of the inequality operator.
- Method
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a string that consists of the argument name, the equal sign, and a string representation of the argument value.

  A string that consists of the argument name, the equal sign, and a string representation of the argument value.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.CustomAttributeTypedArgument To be added.

  The structure only contains information about how the argument value was set. Use this property to obtain a structure that contains the type and value.

  Gets a structure that can be used to obtain the type and value of the current named argument.